Subject: Re: bug#22326: bug report

From: "Brian C. Lane" <[email-masked]>
Date: Mon, 11 Jan 2016 08:19:33 -0800

On Fri, Jan 08, 2016 at 04:32:25AM +0000, martha salibongcogon wrote:
> Hi,
> 
> 
> I run partrobe command after creating a partition on my ubuntu 15.04 machine.  I get this error.
> 
> 
> Assertion (metadata_length > 0) at ../../../libparted/labels/dos.c:2313 in function add_logical_part_metadata() failed.
> 
> ?Please let me know what i should do.

That means that the extended partition wasn't created with enough space
between the start of it and the first logical partition. I'm guessing
parted wasn't used to create the partitions. There isn't anything you
can do other than re-partition the device.

-- 
Brian C. Lane | Anaconda Team | IRC: bcl #anaconda | Port Orchard, WA (PST8PDT)